Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class HeaderTerm

    java.lang.Object
      |
      +--javax.mail.search.SearchTerm
            |
            +--javax.mail.search.StringTerm
                  |
                  +--javax.mail.search.HeaderTerm

All Implemented Interfaces:
  java.io.Serializable

public final class HeaderTerm
extends StringTerm

This class implements comparisons for Message headers. The comparison is case-insensitive.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `headerName` The name of the header.

Fields inherited from class javax.mail.search.StringTerm
`ignoreCase, pattern`

Constructor Summary
`HeaderTerm(java.lang.String headerName, java.lang.String pattern)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`java.lang.String` | `getHeaderName()` Return the name of the header to compare with.
`int` | `hashCode()` Compute a hashCode for this object.
`boolean` | `match(Message msg)` The header match method.

Methods inherited from class javax.mail.search.StringTerm
`getIgnoreCase, getPattern, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### headerName

    protected java.lang.String headerName

  The name of the header.

Constructor Detail

### HeaderTerm

    public HeaderTerm(java.lang.String headerName,
                      java.lang.String pattern)

  Constructor.
  Parameters:
    `headerName` - The name of the header
    `pattern` - The pattern to search for

Method Detail

### getHeaderName

    public java.lang.String getHeaderName()

  Return the name of the header to compare with.

### match

    public boolean match(Message msg)

  The header match method.
  Overrides:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - The match is applied to this Message's header
  Returns:
    true if the match succeeds, otherwise false

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.
  Overrides:
    `equals` in class `StringTerm`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.
  Overrides:
    `hashCode` in class `StringTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD